﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Sample118577;
using System.Collections;
using Syncfusion.JavaScript.DataSources;
using MVCSampleBrowser.Models;
namespace Sample118577.Controllers
{
    public class GridController : Controller
    {
        //
        // GET: /Grid/
        public ActionResult GridFeatures()
        {
            return View();
        }
        public ActionResult DataSource(Syncfusion.JavaScript.DataManager dm)
        {
            var DataSource = OrderRepository.GetAllRecords().ToList();
            DataResult result = new DataResult();
            DataOperations obj = new DataOperations();
            result.result = obj.Execute(DataSource, dm);
            result.count = DataSource.Count;
            return Json(result, JsonRequestBehavior.AllowGet);
        }
        public class DataResult
        {
            public IEnumerable result { get; set; }
            public int count { get; set; }
        }
        public ActionResult Update(EditableOrder value)
        {
            OrderRepository.Update(value);
            var data = OrderRepository.GetAllRecords();
            return Json(data, JsonRequestBehavior.AllowGet);
        }
        public ActionResult EmployeeID()
        {
           var employeeID = OrderRepository.GetAllRecords().Select(s => s.ShipCountry).Distinct().ToList();
           var EmployeeID = new List<object>();
           foreach (var id in employeeID)
           {
             EmployeeID.Add(new { value = id, text = id });
           }
           return Json(EmployeeID, JsonRequestBehavior.AllowGet);
        }
        public ActionResult Insert(EditableOrder value)
        {
            OrderRepository.Add(value);
            var data = OrderRepository.GetAllRecords();
            return Json(data, JsonRequestBehavior.AllowGet);
        }
        public ActionResult Delete(int key)
        {
            OrderRepository.Delete(key);
            var data = OrderRepository.GetAllRecords();
            return Json(data, JsonRequestBehavior.AllowGet);
        }
    }
}
